Yum Meta Data File – Checksum Issue

Will’s Technology Blog » Fix for Metadata file does not match checksum in Yum

Hello,

I’ve installed Fedora Core 4 as my secondary OS.

The very first issue I ran into is that yum fails to update my system because of an invalid checksum of its metadata file.

Luckily there is a simply fix:

wget–cache=off http://apt.sw.be/fedora/4/en/i386/dag/repodata/filelists.xml.gz
wget–cache=off
wget–cache=off

I also ran into a second issue in which yum would fail to install packages due to missing Dependencies:

Error: Package libnotify needs libdbus-glib-1.so.1, this is not available.

Again I was luckily enough to find an easy solution.

  1. Open /etc/yum.conf with your favorite text editor
  2. Change “gpgcheck=1” to “gpgcheck=0”
  3. Save the file and run yum update as root in console (su root then yum update)

Also, here is an excellent guide on how to upgrade to the latest version of GNOME:

Upgrade Your FC4 Box To The Latest GNOME 2.12 Desktop

Enjoy,

Will

PS: I’ll be posting more FC4 tips when I find them. :D